## kmenc15-0.04.tar.bz2

=== Makefile ===
KDEDIR?= $(shell test `kde-config --prefix` && kde-config --prefix || echo /usr/local)

QTINCS = ${QTDIR} ${QTDIR}/include /usr/include/qt /usr/include/qt3 /usr/lib/qt /usr/lib/qt3 /usr/share/qt3 ${QTDIR}/include /usr/lib/qt/include /usr/lib/qt3/include /usr/local/qt/include /usr/share/qt3/include /usr/include /usr/X11R6/include /X11/qt /usr/X11R6/include/qt /usr/qt/3 /usr/qt/3/include /usr/pkg/qt3/include
QTBINS = ${QTDIR} ${QTDIR}/bin /usr/bin /usr/X11R6/bin /usr/local/qt/bin /usr/lib/qt3 /usr/lib/qt /usr/share/qt3 /usr/lib/qt3/bin /usr/lib/qt/bin /usr/share/qt3/bin /usr/lib/qt3/src/moc /usr/lib/qt/src/moc /usr/share/qt3/src/moc
KDEINCS= ${KDEDIR}/include ${KDEDIR}/include/kde /usr/include /usr/include/kde /opt/kde3/include /opt/kde/include /usr/lib/kde/include /usr/local/kde/include /usr/local/include /usr/kde/include
KDELIBS= ${KDEDIR}/lib ${KDEDIR} $(shell kde-config --path lib | sed 's/:/ /g') /usr/lib/kde/lib /usr/local/kde/lib /usr/kde/lib /usr/lib/kde /usr/lib/kde3 /usr/lib /usr/X11R6/lib /usr/local/lib /opt/kde3/lib /opt/kde/lib /usr/X11R6/kde/lib

CPP    = $(shell test -x `which g++` && echo g++ || echo $(CXX))
C      = $(shell test -x `which gcc` && echo gcc || echo $(CC))
CFLAGS?= -Wall
CXXFLAGS ?= -fno-exceptions -Wall
UFLAGS = -pch klocale.h -tr tr2i18n
INSTALL= ${DESTDIR}${KDEDIR}/bin
UIC    = ${QTBIN}/uic
MOC    = ${QTBIN}/moc
QEMBED = ${QTBIN}/qembed


# =============================================================================
#           YOU PROBABLY DONT NEED TO EDIT ANYTHING UNDER HERE....
# =============================================================================


# FLAGS:
# D = debug or optimize
# I = include
# B = build
# U = uic

PRJNAME= kmenc15
VERSION= $(shell grep 'char version' main.cpp -m 1 | cut -d \" -f 2)

CPROGS = 
CPPROGS= kmenc15

CPPFILE= ${FPROG1}
CFILE  = ${FCPROG1}

FPROG1 = main.cpp dialog.cpp wcon.cpp images.cpp process.cpp
FCPROG1=

IFILES = process.moc images.h

UIFILES= wcon.ui
IMAGES = images/*.png
DATA   = images/*.jpg

ifeq ($(wildcard DEBUGMODE),)
DFLAGS = -O2
else
DFLAGS = -g
endif

BFLAGS = 
IFLAGS = 
BXXFLAGS = -lkdeui -lkio -lkhtml $(filter-out -L/usr/lib,-L${KDELIB})
IXXFLAGS = -I${QTINC} -I${KDEINC}

MOSTCLN=*.o *\~
CLEAN  =${MOSTCLN} *.moc $(UIFILES:.ui=.cpp) $(UIFILES:.ui=.h)
DISTCLN=${CLEAN} ${PROGS} ${PRJNAME}-*.tar.* DEBUGMODE *.dep
REALCLN=${DISTCLN} dev/ *.pcs

ifneq ($(wildcard ${IMAGES}),)
CLEAN += images.h
endif



#           From here on, mostly generic stuff, nothing to change....
# =============================================================================


PROJECT= ${PRJNAME}-${VERSION}

GZFILE = ${PROJECT}.tar.gz
BZFILE = ${PROJECT}.tar.bz2

CFLAGS+= ${DFLAGS}
CXXFLAGS += ${DFLAGS}

PROGS  = $(strip ${CPPROGS} ${CPROGS})
SOURCES= $(strip ${CPPFILE} ${CFILE} ${IFILES})
all: ${PROGS}

kmenc15: $(FPROG1:.cpp=.o) $(FCPROG1:.c=.o)


 
# ===========================PROGRAM===========================================
${CPPROGS}: ; $(strip ${CPP} ${CFLAGS} ${BXXFLAGS} -o $@ $^)
${CPROGS}:  ; $(strip ${C}   ${CFLAGS} ${BFLAGS}   -o $@ $^)

# ==========================CONFIGURE==========================================
source: ${SOURCES}
Makefile.dep: Makefile
	@rm -f Makefile.dep;
	
	@echo -n 'Finding Qt inlcude dir.. ';
	@QTINC=`for I in ${QTINCS};  do test -r $$I/qglobal.h     && { echo $$I; exit 0; }; done`; \
	if [ -d "$$QTINC" ]; then echo $$QTINC; else echo Not Found.; exit 1; fi; \
	echo 'QTINC  = '$$QTINC >> $@;
	
	@echo -n 'Finding Qt Binaries dir.. ';
	@QTBIN=`for I in ${QTBINS};  do test -r $$I/uic           && { echo $$I; exit 0; }; done`; \
	if [ -d "$$QTBIN" ]; then echo $$QTBIN; else echo Not Found.; exit 1; fi; \
	echo 'QTBIN  = '$$QTBIN >> $@;
	
	@echo -n 'Finding KDE inlcude dir.. ';
	@KDEINC=`for I in ${KDEINCS}; do test -r $$I/ksharedptr.h && { echo $$I; exit 0; }; done`; \
	if [ -d "$$KDEINC" ]; then echo $$KDEINC; else echo Not Found.; exit 1; fi; \
	echo 'KDEINC  = '$$KDEINC >> $@;
	
	@echo -n 'Finding KDE libraries dir.. ';
	@KDELIB=`for I in ${KDELIBS}; do test -r $$I/libkdeui.la  && { echo $$I; exit 0; }; done`; \
	if [ -d "$$KDELIB" ]; then echo $$KDELIB; else echo Not Found.; exit 1; fi; \
	echo 'KDELIB  = '$$KDELIB >> $@;
	
	@echo 'Generating Depends...'; ${MAKE} --no-print-directory dep;

dep: source
ifneq ($(strip ${CPPFILE}),)
	${CPP} ${IXXFLAGS} -MM ${CPPFILE} >> Makefile.dep
endif
ifneq ($(strip ${CFILE}),)
	${C} ${IFLAGS} -MM ${CFILE} >> Makefile.dep
endif 

-include Makefile.dep

# ===========================COMPILE===========================================
$(CPPFILE:.cpp=.o) : %.o : %.cpp ; $(strip ${CPP} ${CXXFLAGS} ${IXXFLAGS} -c -o $@ $<)
$(CFILE:.c=.o)     : %.o : %.c   ; $(strip ${C}   ${CFLAGS}   ${IFLAGS}   -c -o $@ $<)


# ===========================  UIC  ===========================================

ifeq ($(strip $(wildcard ${IMAGES})),)
images.h: ; @true
else
images.h: ${DATA} ${IMAGES}
	${QEMBED} ${DATA} --images ${IMAGES} > $@
endif
$(UIFILES:.ui=.cpp) : %.cpp : %.diff %.ui %.h %.moc
	${UIC} ${UFLAGS} -impl $*.h -o $@ $*.ui
	$(if $(wildcard $<),patch -s --no-backup-if-mismatch < $<)
$(UIFILES:.ui=.h) : %.h: %.ui ; ${UIC} -o $@ $<
%.moc: %.h ; ${MOC} -o $@ $<
%.diff: ; @true

# ===========================OTHER CRAP========================================
install:
	install -d ${INSTALL}
	install ${PROGS} ${INSTALL}
install-strip: install
	cd ${INSTALL}
	strip ${PROGS}
uninstall:
	cd ${INSTALL}
	rm -f ${PROGS}
mostlyclean:
	rm -f ${MOSTCLN}
clean:
	rm -f ${CLEAN}
distclean:
	rm -f ${DISTCLN}

.distmakeimg:
	rm -rf ${REALCLN}


dist:     ${GZFILE}
dist-bz2: ${BZFILE}
upload:     dist     ; dist-kmenc15.sh ${GZFILE}
upload-bz2: dist-bz2 ; dist-kmenc15.sh ${BZFILE}
%.tar.gz :
	cp -r . /tmp/${PROJECT}/
	@${MAKE} -C /tmp/${PROJECT}/ .distmakeimg
	tar zfc $@ -C /tmp ${PROJECT}
	rm -rf /tmp/${PROJECT}
%.tar.bz2: images.h
	cp -r . /tmp/${PROJECT}/
	rm -r /tmp/${PROJECT}/images
	@${MAKE} -C /tmp/${PROJECT}/ .distmakeimg
	tar jfc $@ -C /tmp ${PROJECT}
	rm -rf /tmp/${PROJECT}

# =========================DEBUG STUFF=========================================

.debugclean:
	rm -f *.o *\~ DEBUGMODE

ifeq ($(wildcard DEBUGMODE),)
debug: all
nodebug: .debugclean all
else
debug: DEBUGMODE all
nodebug: all
endif

DEBUGMODE: .debugclean ; touch $@

.PRECIOUS: %.moc %.h %.ui %.cpp %.o

=== debian/changelog ===
kmenc15 (0.04-1) unstable; urgency=low

  * New upstream release

 -- Oded Shimon <ods15@ods15.dyndns.org>  Mon,  4 Apr 2005 11:07:07 +0300

kmenc15 (0.03-1) unstable; urgency=low

  * New upstream release
  * Changed Makefile yet again.
  * Change debian/control, program no longer requires sox and netpbm.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sat,  5 Feb 2005 20:43:46 +0200

kmenc15 (0.02-1) unstable; urgency=low

  * New upstream release
  * Changed Makefile again.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sun, 24 Oct 2004 02:51:51 +0200

kmenc15 (0.01g-1) unstable; urgency=low

  * New upstream release
  * Added 'AUTHORS' to dh_installdocs

 -- Oded Shimon <ods15@ods15.dyndns.org>  Tue, 19 Oct 2004 00:06:58 +0200

kmenc15 (0.01f-1) unstable; urgency=low

  * New upstream release
  * Makefile was modified by author, so needed to re-edit for Debian

 -- Oded Shimon <ods15@ods15.dyndns.org>  Fri, 15 Oct 2004 20:35:00 +0200

kmenc15 (0.01e-2) unstable; urgency=low

  * Modified description and dependencies.
  * Updated Standards Version to 3.6.1.1

 -- Oded Shimon <ods15@ods15.dyndns.org>  Wed,  6 Oct 2004 23:40:11 +0200

kmenc15 (0.01e-1) unstable; urgency=low

  * New upstream release
  * Makefile was modified by author, so needed to re-edit for Debian

 -- Oded Shimon <ods15@ods15.dyndns.org>  Wed,  6 Oct 2004 20:10:50 +0200

kmenc15 (0.01d-1) unstable; urgency=low

  * New upstream release

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sun,  3 Oct 2004 01:10:11 +0200

kmenc15 (0.01c-1) unstable; urgency=low

  * New upstream release
  * Makefile was modified by author, so needed to re-edit for Debian

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sat,  2 Oct 2004 02:39:51 +0200

kmenc15 (0.01b-1) unstable; urgency=low

  * New upstream release
  * Modified description a bit.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Sat,  2 Oct 2004 00:43:11 +0200

kmenc15 (0.01a-1) unstable; urgency=low

  * Initial Release. (closes: #274003)
  * This is my first Debian package.
  * Adjusted Makefile $DESTDIR and install -d.

 -- Oded Shimon <ods15@ods15.dyndns.org>  Fri,  1 Oct 2004 21:56:59 +0200

=== debian/control ===
Source: kmenc15
Section: contrib/kde
Priority: optional
Maintainer: Oded Shimon <ods15@ods15.dyndns.org>
Build-Depends: debhelper (>= 4.0.0), qt3-dev-tools (>= 3.3.3), kdelibs4-dev (>= 3.3.0)
Standards-Version: 3.6.1.1

Package: kmenc15
Architecture: any
Depends: ${shlibs:Depends}
Suggests: mplayer (>= 1.0pre5), perl (>= 5.6)
Description: An advanced Qt/KDE MEncoder frontend
 Kmenc15 is an advanced MEncoder frontend, generally designed to 
 be a VirtualDub replacement for Linux. It is most useful for 
 editing and encoding large high quality AVIs capped from TV. It 
 allows cutting and merging at exact frames, applying any 
 MPlayer/MEncoder filter, with preview.
 .
 It requires MEncoder 1.0pre5 to work. I doubt it will work
 on any other OS than GNU/Linux. It needs atleast an OS that supports
 named pipes (FIFO's).
 .
 It can also create shell scripts instead of doing the encode itself, so 
 MEncoder is not essential for it to run (although preview won't work). 
 MPlayer is essential though, without it the program will not even open 
 files and cannot create shell scripts without the files.
 .
 The program is not quite complete, still a few features 
 disabled, none of which are horribly essential. It does not 
 support opening MPEG's. Only AVIs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/kmenc15.sgml > kmenc15.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kmenc15.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kmenc15


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs AUTHORS README
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/kmenc15.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
version=2
http://dividedsky.net/~ods15/kmenc15/kmenc15-(.*)\.tar\.gz	debian	~/sources/scripts/debupdate
